#############################################################################
# Makefile for building mooview
# Generated by tmake at 17:18, 2002/08/18
#     Project: mooview
#    Template: app
#############################################################################

####### Compiler, tools and options

CC	=	arm-linux-gcc
CXX	=	arm-linux-g++
CFLAGS	=	-pipe -Wall -W -g
CXXFLAGS=	-pipe -DQT_QWS_EBX -DQT_QWS_CUSTOM -DQWS -fno-exceptions -fno-rtti -Wall -W -g
INCPATH	=	-I$(QPEDIR)/include -I$(QTDIR)/include
LINK	=	arm-linux-gcc
LFLAGS	=	
LIBS	=	$(SUBLIBS) -L$(QTDIR)/lib -lqpe -ljpeg -lqte
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	ImageCanvas.h \
		Image.h \
		ImageDataSink.h \
		ImageScaler.h \
		fixed.h \
		ImageReader.h \
		JPEGReader.h \
		ImageRotator.h \
		ViewerApp.h \
		ImageReaderFactory.h \
		ViewerSettings.h \
		ViewerGlobals.h \
		SettingsDialog.h \
		ImageInfo.h \
		ImageSet.h \
		ImageListView.h \
		Bookmark.h \
		BookmarkMenu.h \
		Display.h
SOURCES =	main.cpp \
		ImageCanvas.cpp \
		Image.cpp \
		ImageReader.cpp \
		JPEGReader.cpp \
		ImageScaler.cpp \
		ImageRotator.cpp \
		ViewerApp.cpp \
		ImageReaderFactory.cpp \
		ViewerSettings.cpp \
		SettingsDialog.cpp \
		ImageInfo.cpp \
		ImageSet.cpp \
		ImageListView.cpp \
		Bookmark.cpp \
		BookmarkMenu.cpp \
		Display.cpp
OBJECTS =	main.o \
		ImageCanvas.o \
		Image.o \
		ImageReader.o \
		JPEGReader.o \
		ImageScaler.o \
		ImageRotator.o \
		ViewerApp.o \
		ImageReaderFactory.o \
		ViewerSettings.o \
		SettingsDialog.o \
		ImageInfo.o \
		ImageSet.o \
		ImageListView.o \
		Bookmark.o \
		BookmarkMenu.o \
		Display.o \
		SettingsDialogBase.o \
		AboutDialog.o
INTERFACES =	SettingsDialogBase.ui \
		AboutDialog.ui
UICDECLS =	SettingsDialogBase.h \
		AboutDialog.h
UICIMPLS =	SettingsDialogBase.cpp \
		AboutDialog.cpp
SRCMOC	=	moc_ViewerApp.cpp \
		moc_SettingsDialog.cpp \
		moc_ImageSet.cpp \
		moc_ImageListView.cpp \
		moc_BookmarkMenu.cpp \
		moc_SettingsDialogBase.cpp \
		moc_AboutDialog.cpp
OBJMOC	=	moc_ViewerApp.o \
		moc_SettingsDialog.o \
		moc_ImageSet.o \
		moc_ImageListView.o \
		moc_BookmarkMenu.o \
		moc_SettingsDialogBase.o \
		moc_AboutDialog.o
DIST	=	
TARGET	=	mooview
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake: Makefile

Makefile: mooview.pro
	tmake mooview.pro -o Makefile

dist:
	$(TAR) mooview.tar mooview.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) mooview.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core

####### Sub-libraries


###### Combined headers


####### Compile

main.o: main.cpp \
		ViewerApp.h \
		/opt/Qtopia/sharp/include/qmainwindow.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		/opt/Qtopia/sharp/include/qpe/qpeapplication.h \
		/opt/Qtopia/sharp/include/qapplication.h \
		/opt/Qtopia/sharp/include/qasciidict.h \
		/opt/Qtopia/sharp/include/qgdict.h \
		/opt/Qtopia/sharp/include/qtranslator.h \
		/opt/Qtopia/sharp/include/qintdict.h

ImageCanvas.o: ImageCanvas.cpp \
		ImageCanvas.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		Image.h \
		ImageDataSink.h \
		fixed.h \
		ViewerGlobals.h \
		/opt/Qtopia/sharp/include/qdirectpainter_qws.h \
		/opt/Qtopia/sharp/include/qpainter.h \
		/opt/Qtopia/sharp/include/qpen.h \
		/opt/Qtopia/sharp/include/qpointarray.h \
		/opt/Qtopia/sharp/include/qwmatrix.h

Image.o: Image.cpp \
		Image.h \
		ImageDataSink.h \
		fixed.h \
		Display.h \
		ViewerGlobals.h \
		/opt/Qtopia/sharp/include/qdirectpainter_qws.h \
		/opt/Qtopia/sharp/include/qpainter.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qpen.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qpointarray.h \
		/opt/Qtopia/sharp/include/qwmatrix.h

ImageReader.o: ImageReader.cpp \
		ImageReader.h \
		ImageDataSink.h \
		fixed.h

JPEGReader.o: JPEGReader.cpp \
		JPEGReader.h \
		ImageReader.h \
		ImageDataSink.h \
		fixed.h

ImageScaler.o: ImageScaler.cpp \
		ImageScaler.h \
		ImageDataSink.h \
		fixed.h

ImageRotator.o: ImageRotator.cpp \
		ImageRotator.h \
		ViewerGlobals.h \
		ImageDataSink.h \
		fixed.h \
		Image.h

ViewerApp.o: ViewerApp.cpp \
		ViewerApp.h \
		/opt/Qtopia/sharp/include/qmainwindow.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		ViewerGlobals.h \
		ViewerSettings.h \
		/opt/Qtopia/sharp/include/qwidgetstack.h \
		/opt/Qtopia/sharp/include/qframe.h \
		/opt/Qtopia/sharp/include/qintdict.h \
		/opt/Qtopia/sharp/include/qgdict.h \
		/opt/Qtopia/sharp/include/qptrdict.h \
		/opt/Qtopia/sharp/include/qpe/applnk.h \
		/opt/Qtopia/sharp/include/qiconset.h \
		/opt/Qtopia/sharp/include/qpixmap.h \
		/opt/Qtopia/sharp/include/qdict.h \
		/opt/Qtopia/sharp/include/qpe/qpeapplication.h \
		/opt/Qtopia/sharp/include/qapplication.h \
		/opt/Qtopia/sharp/include/qasciidict.h \
		/opt/Qtopia/sharp/include/qtranslator.h \
		/opt/Qtopia/sharp/include/qpe/qpetoolbar.h \
		/opt/Qtopia/sharp/include/qtoolbar.h \
		/opt/Qtopia/sharp/include/qpe/resource.h \
		/opt/Qtopia/sharp/include/qimage.h \
		/opt/Qtopia/sharp/include/qstrlist.h \
		/opt/Qtopia/sharp/include/qbitmap.h \
		/opt/Qtopia/sharp/include/qaction.h \
		/opt/Qtopia/sharp/include/qlistview.h \
		/opt/Qtopia/sharp/include/qscrollview.h \
		/opt/Qtopia/sharp/include/qscrollbar.h \
		/opt/Qtopia/sharp/include/qrangecontrol.h \
		/opt/Qtopia/sharp/include/qdrawutil.h \
		/opt/Qtopia/sharp/include/qpainter.h \
		/opt/Qtopia/sharp/include/qpen.h \
		/opt/Qtopia/sharp/include/qpointarray.h \
		/opt/Qtopia/sharp/include/qwmatrix.h \
		/opt/Qtopia/sharp/include/qpopupmenu.h \
		/opt/Qtopia/sharp/include/qmenudata.h \
		/opt/Qtopia/sharp/include/qsignal.h \
		/opt/Qtopia/sharp/include/qtoolbutton.h \
		/opt/Qtopia/sharp/include/qbutton.h \
		/opt/Qtopia/sharp/include/qlabel.h \
		/opt/Qtopia/sharp/include/qstatusbar.h \
		/opt/Qtopia/sharp/include/qcopchannel_qws.h \
		ImageInfo.h \
		ImageSet.h \
		/opt/Qtopia/sharp/include/qsortedlist.h \
		Bookmark.h \
		Display.h \
		Image.h \
		ImageDataSink.h \
		fixed.h \
		ImageReader.h \
		ImageReaderFactory.h \
		JPEGReader.h \
		ImageScaler.h \
		ImageRotator.h \
		ImageCanvas.h \
		SettingsDialog.h \
		SettingsDialogBase.h \
		ImageListView.h \
		BookmarkMenu.h \
		AboutDialog.h

ImageReaderFactory.o: ImageReaderFactory.cpp \
		ImageReaderFactory.h \
		ImageReader.h \
		ImageDataSink.h \
		fixed.h \
		JPEGReader.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h

ViewerSettings.o: ViewerSettings.cpp \
		ViewerSettings.h \
		ViewerGlobals.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qpe/config.h \
		/opt/Qtopia/sharp/include/qmap.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		Bookmark.h

SettingsDialog.o: SettingsDialog.cpp \
		SettingsDialog.h \
		SettingsDialogBase.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		ViewerSettings.h \
		ViewerGlobals.h \
		Bookmark.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qcheckbox.h \
		/opt/Qtopia/sharp/include/qbutton.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		/opt/Qtopia/sharp/include/qbuttongroup.h \
		/opt/Qtopia/sharp/include/qgroupbox.h \
		/opt/Qtopia/sharp/include/qframe.h \
		/opt/Qtopia/sharp/include/qlistbox.h \
		/opt/Qtopia/sharp/include/qscrollview.h \
		/opt/Qtopia/sharp/include/qscrollbar.h \
		/opt/Qtopia/sharp/include/qrangecontrol.h \
		/opt/Qtopia/sharp/include/qdrawutil.h \
		/opt/Qtopia/sharp/include/qpainter.h \
		/opt/Qtopia/sharp/include/qpen.h \
		/opt/Qtopia/sharp/include/qpointarray.h \
		/opt/Qtopia/sharp/include/qwmatrix.h \
		/opt/Qtopia/sharp/include/qpixmap.h \
		/opt/Qtopia/sharp/include/qtimer.h \
		/opt/Qtopia/sharp/include/qlineedit.h \
		/opt/Qtopia/sharp/include/qcombobox.h \
		/opt/Qtopia/sharp/include/qpushbutton.h \
		/opt/Qtopia/sharp/include/qiconset.h

ImageInfo.o: ImageInfo.cpp \
		ImageInfo.h \
		ViewerGlobals.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		ImageReader.h \
		ImageDataSink.h \
		fixed.h \
		ImageReaderFactory.h

ImageSet.o: ImageSet.cpp \
		ImageSet.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qsortedlist.h \
		ImageInfo.h \
		ViewerGlobals.h \
		/opt/Qtopia/sharp/include/qfile.h \
		/opt/Qtopia/sharp/include/qpe/global.h \
		/opt/Qtopia/sharp/include/qguardedptr.h \
		/opt/Qtopia/sharp/include/qpe/applnk.h \
		/opt/Qtopia/sharp/include/qiconset.h \
		/opt/Qtopia/sharp/include/qpixmap.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qdict.h \
		/opt/Qtopia/sharp/include/qgdict.h

ImageListView.o: ImageListView.cpp \
		ImageListView.h \
		/opt/Qtopia/sharp/include/qlistview.h \
		/opt/Qtopia/sharp/include/qscrollview.h \
		/opt/Qtopia/sharp/include/qframe.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		/opt/Qtopia/sharp/include/qscrollbar.h \
		/opt/Qtopia/sharp/include/qrangecontrol.h \
		/opt/Qtopia/sharp/include/qdrawutil.h \
		/opt/Qtopia/sharp/include/qpainter.h \
		/opt/Qtopia/sharp/include/qpen.h \
		/opt/Qtopia/sharp/include/qpointarray.h \
		/opt/Qtopia/sharp/include/qwmatrix.h \
		ImageInfo.h \
		ViewerGlobals.h \
		ImageSet.h \
		/opt/Qtopia/sharp/include/qsortedlist.h

Bookmark.o: Bookmark.cpp \
		Bookmark.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qfile.h \
		/opt/Qtopia/sharp/include/qiodevice.h

BookmarkMenu.o: BookmarkMenu.cpp \
		BookmarkMenu.h \
		/opt/Qtopia/sharp/include/qpopupmenu.h \
		/opt/Qtopia/sharp/include/qframe.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		/opt/Qtopia/sharp/include/qmenudata.h \
		/opt/Qtopia/sharp/include/qiconset.h \
		/opt/Qtopia/sharp/include/qpixmap.h \
		/opt/Qtopia/sharp/include/qsignal.h \
		Bookmark.h \
		ViewerSettings.h \
		ViewerGlobals.h \
		/opt/Qtopia/sharp/include/qpe/resource.h \
		/opt/Qtopia/sharp/include/qimage.h \
		/opt/Qtopia/sharp/include/qstrlist.h \
		/opt/Qtopia/sharp/include/qbitmap.h

Display.o: Display.cpp \
		Display.h \
		ViewerGlobals.h \
		/opt/Qtopia/sharp/include/qapplication.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		/opt/Qtopia/sharp/include/qasciidict.h \
		/opt/Qtopia/sharp/include/qgdict.h \
		/opt/Qtopia/sharp/include/qtranslator.h \
		/opt/Qtopia/sharp/include/qintdict.h \
		/opt/Qtopia/sharp/include/qdirectpainter_qws.h \
		/opt/Qtopia/sharp/include/qpainter.h \
		/opt/Qtopia/sharp/include/qpen.h \
		/opt/Qtopia/sharp/include/qpointarray.h \
		/opt/Qtopia/sharp/include/qwmatrix.h

SettingsDialogBase.h: SettingsDialogBase.ui
	$(UIC) SettingsDialogBase.ui -o $(INTERFACE_DECL_PATH)/SettingsDialogBase.h

SettingsDialogBase.cpp: SettingsDialogBase.ui
	$(UIC) SettingsDialogBase.ui -i SettingsDialogBase.h -o SettingsDialogBase.cpp

AboutDialog.h: AboutDialog.ui
	$(UIC) AboutDialog.ui -o $(INTERFACE_DECL_PATH)/AboutDialog.h

AboutDialog.cpp: AboutDialog.ui
	$(UIC) AboutDialog.ui -i AboutDialog.h -o AboutDialog.cpp

SettingsDialogBase.o: SettingsDialogBase.cpp

AboutDialog.o: AboutDialog.cpp

moc_ViewerApp.o: moc_ViewerApp.cpp \
		ViewerApp.h \
		/opt/Qtopia/sharp/include/qmainwindow.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h

moc_SettingsDialog.o: moc_SettingsDialog.cpp \
		SettingsDialog.h \
		SettingsDialogBase.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h

moc_ImageSet.o: moc_ImageSet.cpp \
		ImageSet.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qsortedlist.h

moc_ImageListView.o: moc_ImageListView.cpp \
		ImageListView.h \
		/opt/Qtopia/sharp/include/qlistview.h \
		/opt/Qtopia/sharp/include/qscrollview.h \
		/opt/Qtopia/sharp/include/qframe.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		/opt/Qtopia/sharp/include/qscrollbar.h \
		/opt/Qtopia/sharp/include/qrangecontrol.h \
		/opt/Qtopia/sharp/include/qdrawutil.h \
		/opt/Qtopia/sharp/include/qpainter.h \
		/opt/Qtopia/sharp/include/qpen.h \
		/opt/Qtopia/sharp/include/qpointarray.h \
		/opt/Qtopia/sharp/include/qwmatrix.h

moc_BookmarkMenu.o: moc_BookmarkMenu.cpp \
		BookmarkMenu.h \
		/opt/Qtopia/sharp/include/qpopupmenu.h \
		/opt/Qtopia/sharp/include/qframe.h \
		/opt/Qtopia/sharp/include/qwidget.h \
		/opt/Qtopia/sharp/include/qwindowdefs.h \
		/opt/Qtopia/sharp/include/qobjectdefs.h \
		/opt/Qtopia/sharp/include/qglobal.h \
		/opt/Qtopia/sharp/include/qfeatures.h \
		/opt/Qtopia/sharp/include/qconfig.h \
		/opt/Qtopia/sharp/include/qstring.h \
		/opt/Qtopia/sharp/include/qcstring.h \
		/opt/Qtopia/sharp/include/qarray.h \
		/opt/Qtopia/sharp/include/qgarray.h \
		/opt/Qtopia/sharp/include/qshared.h \
		/opt/Qtopia/sharp/include/qnamespace.h \
		/opt/Qtopia/sharp/include/qobject.h \
		/opt/Qtopia/sharp/include/qevent.h \
		/opt/Qtopia/sharp/include/qregion.h \
		/opt/Qtopia/sharp/include/qrect.h \
		/opt/Qtopia/sharp/include/qsize.h \
		/opt/Qtopia/sharp/include/qpoint.h \
		/opt/Qtopia/sharp/include/qmime.h \
		/opt/Qtopia/sharp/include/qlist.h \
		/opt/Qtopia/sharp/include/qglist.h \
		/opt/Qtopia/sharp/include/qcollection.h \
		/opt/Qtopia/sharp/include/qstringlist.h \
		/opt/Qtopia/sharp/include/qvaluelist.h \
		/opt/Qtopia/sharp/include/qdatastream.h \
		/opt/Qtopia/sharp/include/qiodevice.h \
		/opt/Qtopia/sharp/include/qregexp.h \
		/opt/Qtopia/sharp/include/qpaintdevice.h \
		/opt/Qtopia/sharp/include/qpalette.h \
		/opt/Qtopia/sharp/include/qcolor.h \
		/opt/Qtopia/sharp/include/qbrush.h \
		/opt/Qtopia/sharp/include/qcursor.h \
		/opt/Qtopia/sharp/include/qfont.h \
		/opt/Qtopia/sharp/include/qfontmetrics.h \
		/opt/Qtopia/sharp/include/qfontinfo.h \
		/opt/Qtopia/sharp/include/qstyle.h \
		/opt/Qtopia/sharp/include/qsizepolicy.h \
		/opt/Qtopia/sharp/include/qmenudata.h \
		/opt/Qtopia/sharp/include/qiconset.h \
		/opt/Qtopia/sharp/include/qpixmap.h \
		/opt/Qtopia/sharp/include/qsignal.h

moc_SettingsDialogBase.o: moc_SettingsDialogBase.cpp \
		SettingsDialogBase.h

moc_AboutDialog.o: moc_AboutDialog.cpp \
		AboutDialog.h

moc_ViewerApp.cpp: ViewerApp.h
	$(MOC) ViewerApp.h -o moc_ViewerApp.cpp

moc_SettingsDialog.cpp: SettingsDialog.h
	$(MOC) SettingsDialog.h -o moc_SettingsDialog.cpp

moc_ImageSet.cpp: ImageSet.h
	$(MOC) ImageSet.h -o moc_ImageSet.cpp

moc_ImageListView.cpp: ImageListView.h
	$(MOC) ImageListView.h -o moc_ImageListView.cpp

moc_BookmarkMenu.cpp: BookmarkMenu.h
	$(MOC) BookmarkMenu.h -o moc_BookmarkMenu.cpp

moc_SettingsDialogBase.cpp: SettingsDialogBase.h
	$(MOC) SettingsDialogBase.h -o moc_SettingsDialogBase.cpp

moc_AboutDialog.cpp: AboutDialog.h
	$(MOC) AboutDialog.h -o moc_AboutDialog.cpp

